import React from "react";
import { useAuth } from "@domains/auth";
import { Card, CardContent, CardHeader, CardTitle } from "@shared/ui";

export const Dashboard: React.FC = () => {
  const { user } = useAuth();

  return (
    <div className="space-y-6">
      <h1 className="text-3xl font-bold">Dashboard</h1>

      <div className="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
        <Card>
          <CardHeader>
            <CardTitle>Welcome</CardTitle>
          </CardHeader>
          <CardContent>
            <p>Hello, {user?.name || "Merchant"}!</p>
            <p className="mt-2 text-gray-400">
              Welcome to the App. Use the sidebar to navigate
              to different sections.
            </p>
          </CardContent>
        </Card>

        <Card>
          <CardHeader>
            <CardTitle>Quick Stats</CardTitle>
          </CardHeader>
          <CardContent>
            <div className="space-y-2">
              <div className="flex justify-between">
                <span className="text-gray-400">Products</span>
                <span className="font-medium">12</span>
              </div>
              <div className="flex justify-between">
                <span className="text-gray-400">Categories</span>
                <span className="font-medium">4</span>
              </div>
              <div className="flex justify-between">
                <span className="text-gray-400">Orders</span>
                <span className="font-medium">24</span>
              </div>
            </div>
          </CardContent>
        </Card>

        <Card>
          <CardHeader>
            <CardTitle>Recent Activity</CardTitle>
          </CardHeader>
          <CardContent>
            <ul className="space-y-2 text-sm">
              <li className="text-gray-400">Product "Espresso" updated</li>
              <li className="text-gray-400">New category "Beverages" added</li>
              <li className="text-gray-400">Price for "Cappuccino" changed</li>
            </ul>
          </CardContent>
        </Card>
      </div>
    </div>
  );
};
