/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { commonOrderFailureResult } from './commonOrderFailureResult';
import type { commonOrderStatus } from './commonOrderStatus';
/**
 * Data transfer object for querying orders using various filters.
 */
export type orderQueryRequestDto = {
    /**
     * Text search filter for orders.
     */
    textSearch?: string | null;
    /**
     * Order code filter.
     */
    orderCode?: string | null;
    /**
     * Filter by the seller's public key.
     */
    sellerKey?: string | null;
    /**
     * Filter by the consumer's public key.
     */
    consumerKey?: string | null;
    /**
     * Pagination offset; defaults to 0.
     */
    offset?: number;
    /**
     * Limit for number of orders to return; defaults to 20.
     */
    limit?: number;
    /**
     * UTC date filter for orders created on or after this date.
     */
    utcCreatedFrom?: string | null;
    /**
     * UTC date filter for orders created on or before this date.
     */
    utcCreatedTo?: string | null;
    /**
     * UTC date filter for orders updated on or after this date.
     */
    utcUpdatedFrom?: string | null;
    /**
     * UTC date filter for orders updated on or before this date.
     */
    utcUpdatedTo?: string | null;
    /**
     * Filter to include active orders in the results.
     */
    activeOrders?: boolean | null;
    /**
     * Filter to include completed orders in the results.
     */
    completedOrders?: boolean | null;
    /**
     * Filter to include cancelled orders in the results.
     */
    cancelledOrders?: boolean | null;
    /**
     * Results will match to any of the provided order statuses.
     */
    statusAny?: Array<commonOrderStatus> | null;
    /**
     * Array of order failure results to filter orders by any matching failure type.
     */
    failureAny?: Array<commonOrderFailureResult> | null;
};

