/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { categoryRevisionDto } from '../models/categoryRevisionDto';
import type { categoryRevisionQueryRequestDto } from '../models/categoryRevisionQueryRequestDto';
import type { categoryViewDto } from '../models/categoryViewDto';
import type { createCategoryRevisionDto } from '../models/createCategoryRevisionDto';
import type { QueryResultDto_CategoryRevisionDto_ } from '../models/QueryResultDto_CategoryRevisionDto_';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class CategoriesRevisionsService {
    /**
     * Creates a revision of a category document.
     * @returns categoryRevisionDto OK
     * @throws ApiError
     */
    public static postApiCategoryRevision({
        categoryId,
        requestBody,
    }: {
        categoryId: string,
        requestBody: createCategoryRevisionDto,
    }): CancelablePromise<categoryRevisionDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/category/revision/{categoryId}',
            path: {
                'categoryId': categoryId,
            },
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get the currently published category
     * @returns categoryViewDto OK
     * @throws ApiError
     */
    public static getApiCategoryRevisionPublished({
        categoryId,
    }: {
        categoryId: string,
    }): CancelablePromise<categoryViewDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/category/revision/published/{categoryId}',
            path: {
                'categoryId': categoryId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get a specific revision
     * @returns categoryRevisionDto OK
     * @throws ApiError
     */
    public static getApiCategoryRevision({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<categoryRevisionDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/category/revision/{revisionId}',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Query revisions filtered by options.
     * @returns QueryResultDto_CategoryRevisionDto_ OK
     * @throws ApiError
     */
    public static postApiCategoryRevisionQuery({
        requestBody,
    }: {
        requestBody: categoryRevisionQueryRequestDto,
    }): CancelablePromise<QueryResultDto_CategoryRevisionDto_> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/category/revision/query',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Publish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiCategoryRevisionPublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/category/revision/{revisionId}/publish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Unpublish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiCategoryRevisionUnpublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/category/revision/{revisionId}/unpublish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
