/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class ImagesService {
    /**
     * Uploads an asset to storage.
     * This endpoint expects multipart/form-data with two keyed items:
     * 'json' = The JSON parameters of type 'ImageParametersDto'
     * 'image' = The image
     * @returns any OK
     * @throws ApiError
     */
    public static postApiImageUpload({
        formData,
    }: {
        formData: any,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/image/upload',
            formData: formData,
            mediaType: 'multipart/form-data',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Download an image by its digest
     * When supplied a valid base58 encoded digest, this endpoint will return the image associated with that id as a file download.
     * The response will be a file download with the correct content type.
     * The file name will be the digest with the correct extension.
     * @returns string OK
     * @throws ApiError
     */
    public static getImg({
        digest,
    }: {
        /**
         * This is a base58 encoded digest, a unique identifier for the image.
         */
        digest: string,
    }): CancelablePromise<string> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/img/{digest}',
            path: {
                'digest': digest,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Download a resized image by digest
     * When supplied a valid base58 encoded digest, this endpoint will return the image associated with that id as a file download.
     * The response will be a file download with the correct content type.
     * The file name will be the digest with the correct extension.
     * @returns string OK
     * @throws ApiError
     */
    public static getImg1({
        digest,
        aspect,
        size,
    }: {
        /**
         * This is a base58 encoded digest, a unique identifier for the image.
         */
        digest: string,
        /**
         * This must be set: [landscape, square, portrait]
         */
        aspect: string,
        /**
         * This must be set: [XS, S, M, HD, FHD, QHD, UHD]
         */
        size: string,
    }): CancelablePromise<string> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/img/{digest}/{aspect}/{size}',
            path: {
                'digest': digest,
                'aspect': aspect,
                'size': size,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
