/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createProductDto } from '../models/createProductDto';
import type { productDto } from '../models/productDto';
import type { productQueryRequestDto } from '../models/productQueryRequestDto';
import type { productStopListDto } from '../models/productStopListDto';
import type { QueryResultDto_ProductRevisionDto_ } from '../models/QueryResultDto_ProductRevisionDto_';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class ProductsCanonicalService {
    /**
     * Query canonical product data filtered by options.
     * @returns QueryResultDto_ProductRevisionDto_ OK
     * @throws ApiError
     */
    public static postApiProductCanonicalQuery({
        requestBody,
    }: {
        requestBody: productQueryRequestDto,
    }): CancelablePromise<QueryResultDto_ProductRevisionDto_> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/product/canonical/query',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Create a canonical product entry.
     * @returns productDto OK
     * @throws ApiError
     */
    public static postApiProductCanonical({
        requestBody,
    }: {
        requestBody: createProductDto,
    }): CancelablePromise<productDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/product/canonical',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Retrieve a canonical product entry.
     * @returns productDto OK
     * @throws ApiError
     */
    public static getApiProductCanonical({
        productId,
    }: {
        productId: string,
    }): CancelablePromise<productDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/product/canonical/{productId}',
            path: {
                'productId': productId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Update a canonical product entry.
     * @returns any OK
     * @throws ApiError
     */
    public static putApiProductCanonical({
        productId,
        requestBody,
    }: {
        productId: string,
        requestBody: createProductDto,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/product/canonical/{productId}',
            path: {
                'productId': productId,
            },
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Delete a canonical product entry.
     * @returns any OK
     * @throws ApiError
     */
    public static deleteApiProductCanonical({
        productId,
    }: {
        productId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'DELETE',
            url: '/api/product/canonical/{productId}',
            path: {
                'productId': productId,
            },
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Adds multiple products to the 'stop list'.
     * Items on the 'stop list' are not available for purchase.
     * @returns any OK
     * @throws ApiError
     */
    public static postApiProductCanonicalStopList({
        requestBody,
    }: {
        requestBody: productStopListDto,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/product/canonical/stop-list',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Removes multiple products from the 'stop list'.
     * @returns any OK
     * @throws ApiError
     */
    public static deleteApiProductCanonicalStopList({
        requestBody,
    }: {
        requestBody: productStopListDto,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'DELETE',
            url: '/api/product/canonical/stop-list',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Gets the list of stopped product ids for a specific seller.
     * @returns string OK
     * @throws ApiError
     */
    public static getApiProductCanonicalStopList({
        sellerId,
    }: {
        sellerId: string,
    }): CancelablePromise<Array<string>> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/product/canonical/stop-list/{sellerId}',
            path: {
                'sellerId': sellerId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
