/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createPromotionDto } from '../models/createPromotionDto';
import type { promotionQueryRequestDto } from '../models/promotionQueryRequestDto';
import type { promotionViewDto } from '../models/promotionViewDto';
import type { QueryResultDto_PromotionViewDto_ } from '../models/QueryResultDto_PromotionViewDto_';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class PromotionsService {
    /**
     * Create a promotion.
     * @returns promotionViewDto OK
     * @throws ApiError
     */
    public static postApiPromotion({
        requestBody,
    }: {
        requestBody: createPromotionDto,
    }): CancelablePromise<promotionViewDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/promotion',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Retrieve a promotion.
     * @returns promotionViewDto OK
     * @throws ApiError
     */
    public static postApiPromotion1({
        promotionId,
    }: {
        promotionId: string,
    }): CancelablePromise<promotionViewDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/promotion/{promotionId}',
            path: {
                'promotionId': promotionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Update a promotion.
     * @returns any OK
     * @throws ApiError
     */
    public static putApiPromotion({
        promotionId,
        requestBody,
    }: {
        promotionId: string,
        requestBody: createPromotionDto,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/promotion/{promotionId}',
            path: {
                'promotionId': promotionId,
            },
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Delete a promotion.
     * @returns any OK
     * @throws ApiError
     */
    public static deleteApiPromotion({
        promotionId,
    }: {
        promotionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'DELETE',
            url: '/api/promotion/{promotionId}',
            path: {
                'promotionId': promotionId,
            },
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Handles promotion query requests by filtering based on provided criteria.
     * @returns QueryResultDto_PromotionViewDto_ OK
     * @throws ApiError
     */
    public static postApiPromotionsQuery({
        requestBody,
    }: {
        /**
         * The query parameters for filtering promotions.
         */
        requestBody: promotionQueryRequestDto,
    }): CancelablePromise<QueryResultDto_PromotionViewDto_> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/promotions/query',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
}
