/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { baseCreateSellerRevisionDto } from '../models/baseCreateSellerRevisionDto';
import type { QueryResultDto_SellerRevisionDto_ } from '../models/QueryResultDto_SellerRevisionDto_';
import type { restaurantRevisionDto } from '../models/restaurantRevisionDto';
import type { sellerRevisionDto } from '../models/sellerRevisionDto';
import type { sellerRevisionQueryRequestDto } from '../models/sellerRevisionQueryRequestDto';
import type { sellerViewDto } from '../models/sellerViewDto';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class SellersRevisionsService {
    /**
     * Creates a revision of a seller document.
     * @returns restaurantRevisionDto OK
     * @throws ApiError
     */
    public static postApiSellerRevision({
        sellerId,
        requestBody,
    }: {
        sellerId: string,
        requestBody: baseCreateSellerRevisionDto,
    }): CancelablePromise<restaurantRevisionDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/seller/revision/{sellerId}',
            path: {
                'sellerId': sellerId,
            },
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get the currently published seller
     * @returns sellerViewDto OK
     * @throws ApiError
     */
    public static getApiSellerRevisionPublished({
        sellerId,
    }: {
        sellerId: string,
    }): CancelablePromise<sellerViewDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/seller/revision/published/{sellerId}',
            path: {
                'sellerId': sellerId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get a specific revision by revisionId
     * @returns sellerRevisionDto OK
     * @throws ApiError
     */
    public static getApiSellerRevision({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<sellerRevisionDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/seller/revision/{revisionId}',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Query revisions filtered by options.
     * @returns QueryResultDto_SellerRevisionDto_ OK
     * @throws ApiError
     */
    public static postApiSellerRevisionQuery({
        requestBody,
    }: {
        requestBody: sellerRevisionQueryRequestDto,
    }): CancelablePromise<QueryResultDto_SellerRevisionDto_> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/seller/revision/query',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Publish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiSellerRevisionPublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/seller/revision/{revisionId}/publish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Unpublish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiSellerRevisionUnpublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/seller/revision/{revisionId}/unpublish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
