/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { createTextRevisionDto } from '../models/createTextRevisionDto';
import type { QueryResultDto_TextRevisionDto_ } from '../models/QueryResultDto_TextRevisionDto_';
import type { textQueryRequestDto } from '../models/textQueryRequestDto';
import type { textRevisionDto } from '../models/textRevisionDto';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class TranslatableTextRevisionsService {
    /**
     * Creates a revision of a text document.
     * @returns textRevisionDto OK
     * @throws ApiError
     */
    public static postApiTextRevision({
        requestBody,
    }: {
        requestBody: createTextRevisionDto,
    }): CancelablePromise<textRevisionDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/text/revision',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get the currently published document
     * @returns textRevisionDto OK
     * @throws ApiError
     */
    public static getApiTextRevisionPublished({
        documentId,
        key,
    }: {
        documentId: string,
        key: string,
    }): CancelablePromise<textRevisionDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/text/revision/published/{documentId}/{key}',
            path: {
                'documentId': documentId,
                'key': key,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Get a specific revision
     * @returns textRevisionDto OK
     * @throws ApiError
     */
    public static getApiTextRevision({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<textRevisionDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/text/revision/{revisionId}',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Query texts filtered by options.
     * @returns QueryResultDto_TextRevisionDto_ OK
     * @throws ApiError
     */
    public static postApiTextRevisionQuery({
        requestBody,
    }: {
        requestBody: textQueryRequestDto,
    }): CancelablePromise<QueryResultDto_TextRevisionDto_> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/text/revision/query',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Publish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiTextRevisionPublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/text/revision/{revisionId}/publish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * Unpublish the specified revision
     * @returns any OK
     * @throws ApiError
     */
    public static putApiTextRevisionUnpublish({
        revisionId,
    }: {
        revisionId: string,
    }): CancelablePromise<any> {
        return __request(OpenAPI, {
            method: 'PUT',
            url: '/api/text/revision/{revisionId}/unpublish',
            path: {
                'revisionId': revisionId,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
