/* generated using openapi-typescript-codegen -- do not edit */
/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { humanVerificationRequestDto } from '../models/humanVerificationRequestDto';
import type { humanVerificationStatusDto } from '../models/humanVerificationStatusDto';
import type { CancelablePromise } from '../core/CancelablePromise';
import { OpenAPI } from '../core/OpenAPI';
import { request as __request } from '../core/request';
export class VerificationsService {
    /**
     * Verify a public key using a phone number.
     * @returns humanVerificationStatusDto OK
     * @throws ApiError
     */
    public static postApiVerificationsVerify({
        requestBody,
    }: {
        /**
         * The request document
         */
        requestBody: humanVerificationRequestDto,
    }): CancelablePromise<humanVerificationStatusDto> {
        return __request(OpenAPI, {
            method: 'POST',
            url: '/api/verifications/verify',
            body: requestBody,
            mediaType: 'application/json',
            errors: {
                400: `Bad Request`,
            },
        });
    }
    /**
     * Returns the verification status for a given public key.
     * @returns humanVerificationStatusDto OK
     * @throws ApiError
     */
    public static getApiVerificationsVerifyKey({
        publicKey,
    }: {
        /**
         * The user's public key
         */
        publicKey: string,
    }): CancelablePromise<humanVerificationStatusDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/verifications/verify/key/{publicKey}',
            path: {
                'publicKey': publicKey,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
    /**
     * @deprecated
     * No longer used. Use M:G1.Merchant.Hub.Web.Controllers.Api.Verifications.VerifyHumanEndpoint.HandlerPublicKey(G1.Common.Components.PublicKey,G1.Merchant.Hub.Interfaces.IConsumerVerificationService,System.Threading.CancellationToken) instead.
     * @returns humanVerificationStatusDto OK
     * @throws ApiError
     */
    public static getApiVerificationsVerifyPhone({
        phoneNumber,
    }: {
        phoneNumber: string,
    }): CancelablePromise<humanVerificationStatusDto> {
        return __request(OpenAPI, {
            method: 'GET',
            url: '/api/verifications/verify/phone/{phoneNumber}',
            path: {
                'phoneNumber': phoneNumber,
            },
            errors: {
                400: `Bad Request`,
                404: `Not Found`,
            },
        });
    }
}
