import React from "react";
import { useAuth } from "@domains/auth";

export const Header: React.FC = () => {
  const { user, logout } = useAuth();

  const handleLogout = async () => {
    try {
      await logout();
    } catch (error) {
      console.error("Logout failed:", error);
    }
  };

  return (
    <header className="bg-[#26242a] border-b border-[#3a3842] p-4 flex justify-between items-center">
      <div className="text-xl font-bold">App</div>

      <div className="flex items-center space-x-4">
        {user && (
          <>
            <div className="text-sm text-gray-400">
              <span>Logged in as </span>
              <span className="text-white font-medium">
                {user.name || user.email}
              </span>
            </div>

            <button
              onClick={handleLogout}
              className="px-4 py-2 bg-[#653cee] hover:bg-[#4e2eb8] text-white rounded-md transition-colors"
            >
              Logout
            </button>
          </>
        )}
      </div>
    </header>
  );
};
